@import "../../../styles/global/var";
@import "../../../styles/global/var-pages";

.p-tests-run-details {
    md-backdrop.md-sidenav-backdrop {
        z-index:  $zindex-fixed + 1;
    }
    .md-sidenav-right {
        margin-top: $header_height;
        z-index: $zindex-fixed + 2;
        width: 590px;
        max-width: calc(100% - #{$sidebar-width});
        box-shadow: 0 16px 24px rgba(0, 0, 0, 0.14), 0 6px 30px rgba(0, 0, 0, 0.12), 0 8px 10px rgba(0, 0, 0, 0.2);
        @media (max-width: $screen-phone) {
            max-width: 100%;
        }

        &__close {
            position: absolute;
            left: 4px;
            top: 4px;
            z-index: 1;
            &.md-button.md-icon-button {
                width: 32px;
                height: 32px;
                margin: 0;
                padding: 4px;
                min-height: 32px;
                min-width: 32px;
                color: $gray57c;
            }
        }
    }
}

.test-details {
    &__main {
        display: block;
        height: 100%;
        max-height: 100%;
        overflow: hidden;
    }
}

.test-sessions-sidenav {
    &__header {
        padding: 20px 56px;
    }
    &__title {
        font-size: 14px;
        line-height: 24px;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        margin: 0;
    }
}
